MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022855Open CASCADE[OCCT] OCCT:VISpublic2011-12-16 16:342014-11-11 12:58
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityjust a question 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022855: Strange result type of IVtkTools_ShapePicker method
DescriptionThe following method of IVtkTools_ShapePicker has strange return type:

  NCollection_Set<vtkIdType> GetPickedSubShapesIds (const IVtk_IdType id, bool all = false) const;

Internally, IVtk_ShapeIdList is used but the picker converts it to NCollection_Set - for what reason?

I would use IVtk_ShapeIdList where a collection of (sub-)shapes is expected, unless some specific condition is applied.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024904closedbugmaster Visualization - Integration of VIS component 

-  Notes
(0018891)
rkv (developer)
2011-12-16 16:42

The set is returned for usage with SubPolyDataFilter.Add() method for multiselection. Union operation of sets of ids is applied for that.
(0018894)
san (developer)
2011-12-16 17:11

In any case the returned set is copied, so there is no advantage in returning a set and copying it with respect to returning a list and converting it to a set where necessary.

But the public API looks more consistent if all its related methods have similar return types.

And usage of a set in one particular internal case should not be reflected by public API, unless there are some strong technical reasons for that.
(0018905)
rkv (developer)
2011-12-19 12:18

The result type of selected subshapes ids has been changed to IVtk_ShapeIdList.
New overloaded methods SetData and AddData are added to IVtkTools_SubPolyDataFilter to send IVtk_ShapeIdList as a parameter.
(0021266)
san (developer)
2012-08-18 14:39

The issues was created during development of VIS component for development needs only.
The issue has been corrected and should be closed, no testing is required.

- Issue History
Date Modified Username Field Change
2011-12-16 16:34 san New Issue
2011-12-16 16:34 san Assigned To => rkv
2011-12-16 16:34 san Status new => assigned
2011-12-16 16:42 rkv Note Added: 0018891
2011-12-16 16:42 rkv Assigned To rkv => san
2011-12-16 16:42 rkv Status assigned => feedback
2011-12-16 17:11 san Note Added: 0018894
2011-12-16 17:11 san Status feedback => assigned
2011-12-16 17:11 san Status assigned => feedback
2011-12-16 17:11 san Assigned To san => rkv
2011-12-16 17:11 san Status feedback => assigned
2011-12-19 12:18 rkv Note Added: 0018905
2011-12-19 12:18 rkv Status assigned => resolved
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-05-12 17:36 mkv Assigned To rkv => san
2012-08-18 14:39 san Note Added: 0021266
2012-08-18 14:39 san Assigned To san => bugmaster
2012-08-18 14:39 san Status resolved => reviewed
2014-09-18 09:50 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 11:36 apn Test case number => Not needed
2014-09-22 11:36 apn Assigned To bugmaster => san
2014-09-22 11:36 apn Status reviewed => closed
2014-09-22 11:36 apn Resolution open => fixed
2014-09-22 13:13 apn Assigned To san => bugmaster
2014-09-22 13:13 apn Status closed => feedback
2014-09-22 13:13 apn Status feedback => tested
2014-09-22 13:13 apn Status tested => verified
2014-09-22 13:13 apn Relationship added related to 0024904
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker